# zookeeper chef cookbook

Installs/Configures zookeeper

## Overview

This cookbook installs zookeeper from the Cloudera apt repo.

The server recipe additionally
* creates the service, and applies the state given in `node[:zookeeper][:server][:daemon_state]`
* announces zookeeper-server

## Attributes

* `[:groups][:zookeeper][:gid]`       -  (default: "305")
* `[:zookeeper][:data_dir]`           -  (default: "/var/zookeeper")
* `[:zookeeper][:cluster_name]`       -  (default: "cluster_name")
* `[:zookeeper][:log_dir]`            -  (default: "/var/log/zookeeper")
* `[:zookeeper][:max_client_connections]` -  (default: "30")
* `[:zookeeper][:home_dir]`           -  (default: "/usr/lib/zookeeper")
* `[:zookeeper][:exported_jars]`        - 
* `[:zookeeper][:conf_dir]`           -  (default: "/etc/zookeeper")
* `[:zookeeper][:user]`               -  (default: "zookeeper")
* `[:zookeeper][:server][:run_state]` -  (default: "stop")
* `[:users][:zookeeper][:uid]`        -  (default: "305")

## Recipes 

* `client`                   - Installs Zookeeper client libraries
* `default`                  - Base configuration for zookeeper
* `server`                   - Installs Zookeeper server, sets up and starts service

## Integration

Supports platforms: debian and ubuntu

Cookbook dependencies:
* java
* apt
* runit
* volumes
* metachef


## License and Author

Author::                Chris Howe - Infochimps, Inc (<coders@infochimps.com>)
Copyright::             2011, Chris Howe - Infochimps, Inc

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.

> readme generated by [cluster_chef](http://github.com/infochimps/cluster_chef)'s cookbook_munger
